<?php

function USERS_NEWDEAL() {
global $MENU_INIT,$ARG1,$ARG1_VAL,$SQL_USER,$SQL_DATABASE,$INTERFACE_ADDR,$SQL_USER_PASS,$USERS_FILTER_PROBLEM,$USERS_FILTER_STATUS,$SQL_WIEV,$USERS_COLUMN,$USERS_COLUMN_DESC,$USERS_HIDECOLUMN;
echo "<table width='100%' border='1' cellspacing='1' cellpadding='1'><tr><td colspan=2>";
$TEMP="P_NAME P_NIP P_PESEL P_OTHER_DOC P_ADDRESS_CITY P_ADDRESS_POST_CODE P_ADDRESS_POST_OFFICE P_ADDRESS_STREET P_ADDRESS_HOUSE S_ADDRESS_STREET P_PHONE P_FAX P_CONTACT_PERSON P_OTHER_INFO P_DEALNUMBER P_DEAL_DATE P_DEALEXPIRE A_ADM_COMPANY P_INSTALL_QUOTE P_PERIOD_QUOTE P_PERIOD_MONTHS P_SERVICE_QUOTA P_ACCOUNT P_ACCOUNT_LIMIT S_HOST S_ACCOUNT S_ALIAS S_PASSWD";
$TEMP=explode(" ", $TEMP);
    echo "Podaj dane do wprowadzenia nowej umowy do bazy  ";
    CREATE_MENUFUNC_NOTD_INIT($_SESSION[LAST_MENU],'<img src=icon/back.gif border=0 alt=POWROT>');
    echo "</TD></TR>
    <FORM ACTION='$PHP_SELF' method=POST name=USERS_NEWRECORD><input type=HIDDEN name=FUNCTION_INIT value=UPDATEDB>";
 foreach ($TEMP as $value) {
  echo " <tr><td>".$_SESSION[USERS_COLUMN][DESC_TO_LANG][$value]." <font size=-1></font></td><td>";
 if($_SESSION[LAST_MENU]==USERS) { 
  $_SESSION[USERS_COLUMN][NEWDEAL][$value]=$_SESSION[USERS_COLUMN][DESC_TO_LANG][$value]; 
 }
  GETFORMITEM($_SESSION[USERS_COLUMN][NEWDEAL][$value],$_SESSION[USERS_COLUMN][TYPE][$value],$_SESSION[USERS_COLUMN][DESC][$_SESSION[USERS_COLUMN][DESC_TO_KEY][$value]]);
  echo " </td></tr>\n";
 }
echo "<tr><td colspan=3 align=center><input type=submit value='          OK          '></td></tr></form></table>";
}

